Debian Bug report logs - #498439
Grub2 1.96 can't boot Windows xp

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: "wolfman.wu" <r6aix@21cn.com>

Date: Wed, 10 Sep 2008 02:24:01 UTC

Severity: normal

Merged with 473401, 488294, 492717, 497198, 498441, 498614, 501942, 517369

Found in version grub-installer/1.29

Fixed in version grub-installer/1.38

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#498439; Package grub-pc. Full text and rfc822 format available.

Acknowledgement sent to "wolfman.wu" <r6aix@21cn.com>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "wolfman.wu" <r6aix@21cn.com>
To: <submit@bugs.debian.org>
Subject: Grub2 1.96 can't boot Windows xp
Date: Wed, 10 Sep 2008 10:20:20 +0800
[Message part 1 (text/plain, inline)]
Package: grub-pc
Version: 1.96+20080724-9

I install the Lenny from netinst.iso(Debian GNU/Linux testing "Lenny" - Official Snapshot i386 NETINST Binary-1 20080908-00:14 )

Problem:
  1. select Lenny item, it can't boot successful.
  2. select XP item, the system can't boot. the error message:

       no such partition

  3. when select XP item at first time, the system can't boot.
     then go back to select the Lenny, the system can't can't boot too. the error message:

        you need to load kernel first

sovlution:
   change in grub.cfg 
   old:
   >     menuentry "Microsoft Windows XP Professional" {
   >      set root=(hd0,0)
   >      chainloader +1
   >     }

   new(the second line been changed):
   >     menuentry "Microsoft Windows XP Professional" {
   >      set root=(hd0,1)
   >                    ^
   >      chainloader +1
   >     }


Enviroment:
  1. I have install dual system in a computer:
       Lenny & Windows XP

  2. My grub.cfg:
        set default=0
        set timeout=5
        set root=(hd0,6)
        search --fs-uuid --set a1eb98f0-719a-4c9c-940e-227a450d8b7c
        if font /share/grub/ascii.pff ; then
          set gfxmode=640x480
          insmod gfxterm
          insmod vbe
          terminal gfxterm
        fi
        set root=(hd0,6)
        search --fs-uuid --set a1eb98f0-719a-4c9c-940e-227a450d8b7c
        insmod png
        if background_image /share/images/desktop-base/debian-blueish-wallpaper-640x480.png ; then
          set color_normal=black/black
          set color_highlight=magenta/black
        else
          set menu_color_normal=cyan/blue
          set menu_color_highlight=white/blue
        fi
        set root=(hd0,3)
        search --fs-uuid --set 662a3e12-57bb-4383-ad41-229725e5e357
        menuentry "Debian GNU/Linux, linux 2.6.26-1-686" {
         linux /boot/vmlinuz-2.6.26-1-686 root=UUID=662a3e12-57bb-4383-ad41-229725e5e357 ro vga=791 
         initrd /boot/initrd.img-2.6.26-1-686
        }
        menuentry "Debian GNU/Linux, linux 2.6.26-1-686 (single-user mode)" {
         linux /boot/vmlinuz-2.6.26-1-686 root=UUID=662a3e12-57bb-4383-ad41-229725e5e357 ro single vga=791
         initrd /boot/initrd.img-2.6.26-1-686
        }
        menuentry "Microsoft Windows XP Professional" {
         set root=(hd0,0)
         chainloader +1
        }

  3. Run fdisk -l /dev/sda  result:
        Disk /dev/sda: 250.0 GB, 250058268160 bytes
        255 heads, 63 sectors/track, 30401 cylinders
        Units = cylinders of 16065 * 512 = 8225280 bytes
        Disk identifier: 0x31693168

           Device Boot      Start         End      Blocks   Id  System
        /dev/sda1   *           1        6527    52428096    7  HPFS/NTFS
        /dev/sda2            6528       30282   190812037+   f  W95 Ext'd (LBA)
        /dev/sda3           30283       30401      955867+  83  Linux
        /dev/sda5            6528       13054    52428096    7  HPFS/NTFS
        ............

this is a bug in grub2 ?

Best regards,
wyw
[Message part 2 (text/html, inline)]

Bug reassigned from package `grub-pc' to `grub-installer'. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Wed, 10 Sep 2008 08:00:03 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Wed, 10 Sep 2008 08:00:08 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441 498614. Request was from "Niko Cavallini Araya" <niko.cava@gmail.com> to control@bugs.debian.org. (Sat, 13 Sep 2008 01:12:08 GMT) Full text and rfc822 format available.

Forcibly Merged 473401 488294 492717 497198 498439 498441 498614 501942. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sun, 12 Oct 2008 08:48:07 GMT) Full text and rfc822 format available.

Message sent on to "wolfman.wu" <r6aix@21cn.com>:
Bug#498439. (Mon, 03 Nov 2008 17:54:10 GMT) Full text and rfc822 format available.

Message #16 received at 498439-submitter@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 488294-submitter@bugs.debian.org, 492717-submitter@bugs.debian.org, 497198-submitter@bugs.debian.org, 498439-submitter@bugs.debian.org, 498441-submitter@bugs.debian.org, 498614-submitter@bugs.debian.org, 501942-submitter@bugs.debian.org
Subject: d-i test image for grub 2 issues
Date: Tue, 4 Nov 2008 02:50:26 +0900
Hi,

I have seen similat grub-pc device numbering issue and made corrected
beta 2 image using my patch.  Can you report result with my image?

 http://people.debian.org/~osamu/d-i-osamu-grub2-all-translation-amd64.iso

Please respond to 502446@bugs.debian.org for the result of these image
testing.

See more on http://bugs.debian.org/502446

Osamu




Forcibly Merged 473401 488294 492717 497198 498439 498441 498614 501942 517369. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Tue, 10 Mar 2009 20:15:13 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Wed, 10 Jun 2009 16:03:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Oct 2009 07:28:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:05:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.